| MAXREFDES82# Code Documentation V01.00 Maxim Smart Force Sensor

- Main Page
- Modules
- Files

- File List
- Globals

All Files Functions Variables Macros Groups Pages
Functions | Variables
MAXREFDES82.c File Reference
`#include "main.h"`
`#include "WM.h"`
`#include "stm32f429i_discovery_lcd.h"`

Go to the source code of this file.

## Functions
void | MainTask (void)
int | main (void)
| Main program.

## Variables
uint8_t | GUI_Initialized = 0
USBD_HandleTypeDef | USBD_Device

## Detailed Description

          Project: MAXREFDES82
          Filename: MAXREFDES82.c
      Description: This module contains the Main application for the
                   implementation of the example program for the MAXREFDES82.

Revision History:
03-02-2016 Rev 03.50 MG Initial release.

Copyright (C) 2016 Maxim Integrated Products, Inc., All Rights Reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL MAXIM INTEGRATED BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of Maxim Integrated Products, Inc. shall not be used except as stated in the Maxim Integrated Products, Inc. Branding Policy.

The mere transfer of this software does not imply any licenses of trade secrets, proprietary technology, copyrights, patents, trademarks, maskwork rights, or any other form of intellectual property whatsoever. Maxim Integrated Products, Inc. retains all ownership rights.

Definition in file MAXREFDES82.c.

## Function Documentation

int main | ( | void |  | ) |

Main program.

Parameters

  None |

Return values

  None |

Definition at line 82 of file MAXREFDES82.c.

void MainTask | ( | void |  | ) |

Definition at line 112 of file maintask.c.

## Variable Documentation

uint8_t GUI_Initialized = 0

Definition at line 67 of file MAXREFDES82.c.

USBD_HandleTypeDef USBD_Device

Definition at line 68 of file MAXREFDES82.c.